Problem after Update to CentOS 5.6

Installing, Configuring, Troubleshooting server daemons such as Web and Mail

Problem after Update to CentOS 5.6

Postby w1289 » 2011/06/25 13:28:49

Hi,

i only speak german, please answer simple.

i have a problem after update my server to centos 5.6.

the website works on php-modul.
the website not work on cli-application.
when i load a image from website -> works
when i load a robots.txt from website -> works
when i load index.php from website -> not work, produce 500 internal server error (by php-modul this work)

what ist the problem?
have cli-application no permission to php?
can i repair it???
w1289
 
Posts: 3
Joined: 2011/06/25 13:10:16

Re: Problem after Update to CentOS 5.6

Postby pschaff » 2011/06/26 11:52:51

Welcome to the CentOS fora. Please see the recommended reading for new users linked in my signature.

Was everything working correctly before the update?

Do you have any 3rd party packages installed, or any non-CentOS repositories enabled?

Do you see any relevant messages in the logs?
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America

Re: Problem after Update to CentOS 5.6

Postby w1289 » 2011/06/28 17:36:45

Hi,

my server working correctly before the update.

no 3rd party packages installed, no non-CentOS repositories enabled.

no messages in the logs, only messages in suexec.log:

uid: (10001/username) gid: (505/505) cmd: cgi_wrapper
target uid/gid (10001/505) mismatch with directory (0/0) or program (0/0)

What is this ??
i can load my website over apache-modul, but not as cgi-application.

yet my server working correctly.
i have make a update to php5.3 and apache update over plesk 10.2.
the plesk-installer set all permissions correctly.
w1289
 
Posts: 3
Joined: 2011/06/25 13:10:16

Problem after Update to CentOS 5.6

Postby gerald_clark » 2011/06/28 17:47:30

Plesk is 3rd party software.
The standard yum update would not update php to php5.3.

If plesk does not install its own PHP,
I suggest you reinstall the working PHP 5.1.
gerald_clark
 
Posts: 7157
Joined: 2005/08/05 15:19:54
Location: Northern Illinois, USA

Re: Problem after Update to CentOS 5.6

Postby pschaff » 2011/06/28 17:50:33

w1289 wrote:
...
no 3rd party packages installed, no non-CentOS repositories enabled.
...
i have make a update to php5.3 and apache update over plesk 10.2.
the plesk-installer set all permissions correctly.

The first statement is not strictly true as, if I understand it correctly, Plesk does installs outside the package manager. Sounds to me like you have a Plesk problem, and not a CentOS problem per se and should consult Plesk support.

When CentOS Is Not CentOS
Broken Virtual Server
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America

Re: Problem after Update to CentOS 5.6

Postby w1289 » 2011/06/29 10:17:52

hi,

not,not,..
this is a centos update problem.
i have make update to centos 5.6 with "yum update".
the updater not set permissions for apache/php correctly.
after "yum update" my website not working as cgi-application (before yes), only as php-modul.

"yum update" not install php5.3 and not install php5.2.x, unknown.

only plesks autoinstaller can install php5.3 and update apache, select "php5.3 support" by the menu.
plesks autoinstaller (run /usr/local/psa/admin/bin/autoinstaller) set permissions for apache/php correctly.
w1289
 
Posts: 3
Joined: 2011/06/25 13:10:16

Re: Problem after Update to CentOS 5.6

Postby pschaff » 2011/06/29 11:34:15

w1289 wrote:
hi,

not,not,..
this is a centos update problem.

I beg to differ. If you choose to use Plesk then you cannot expect CentOS to properly accommodate its hidden (from the package management system) changes with every update.

...
"yum update" not install php5.3 and not install php5.2.x, unknown.

As previously pointed out, yum update will not update to php53 or other versions automatically. If you want a package-based install of the CentOS php53 version you must remove php and all dependencies with yum and install the php53 packages from the distro. You may also consider alternatives such as those from the 3rd party Remi or IUS repos. Try a forum search for php53u for the gory details.

only plesks autoinstaller can install php5.3 and update apache, select "php5.3 support" by the menu.
plesks autoinstaller (run /usr/local/psa/admin/bin/autoinstaller) set permissions for apache/php correctly.

Only true if you are using Plesk - in which case you should also use Plesk support and not expect solutions from CentOS for breakage they cause.
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America


Return to CentOS 5 - Server Support

Who is online

Users browsing this forum: No registered users and 0 guests